class Gaussian implements Pass {
  PShader shader;
  float param;
  float param2;
  public Gaussian()
  {
    shader = loadShader("gaussianBlur.glsl");
  }

  @Override
    public void prepare(Supervisor supervisor) {
     shader.set("kernelSize",  32); // How big is the sampling kernel?
     shader.set("strength", map(this.param2, 200, 1000, 0, 20.0)); // How strong is the blur?
  }
  
  public void setParams(float _p, float _p2){
    this.param = _p;
    this.param2 = _p2;
  }
  
  @Override
    public void apply(Supervisor supervisor) {
    PGraphics pass = supervisor.getNextPass();
    supervisor.clearPass(pass);

    pass.beginDraw();
    pass.shader(shader);
    pass.image(supervisor.getCurrentPass(), 0, 0);
    pass.endDraw();
  }
}