/**
 * BASIC LEAP SETUP
 */


import de.voidplus.leapmotion.*;

LeapMotion leap;
float hx, hy, hz;

boolean isDisplayHand = false;

void setup() {
  size(800, 500, P3D);
  background(255);
  colorMode(HSB, 360, 100, 100);

  leap = new LeapMotion(this);
}


void draw() {
  background(0, 0, 100);


  for (Hand hand : leap.getHands ()) {
    PVector handPosition = hand.getPosition();
    hx = handPosition.x;
    hy = handPosition.y;
    hz = handPosition.z;

    if (isDisplayHand) {
      hand.draw();
    }
  }
  println(hz);
  float h = map(hz, 0, 80, 0, 360);
  noStroke();
  fill(h, 100, 100);
  ellipse(hx, height/2 + hz, hy, hy);


  diplayStats();
}



void keyPressed() {

  if (key == 'h') {
    isDisplayHand = !isDisplayHand;
  }
   if (key == 's') {
    //saveFrame("img_###.png");
  }
}


void diplayStats() {
  // stats, to the title window
  float fps = leap.getFrameRate();
  String txt_fps = String.format(getClass().getName()+ " [frame %d]   [fps %6.2f]", frameCount, fps);
  surface.setTitle(txt_fps);
}

void leapOnInit() {
  println("Leap Motion Init");
}
void leapOnConnect() {
  println("Leap Motion Connect");
}
void leapOnFrame() {
  // println("Leap Motion Frame");
}
void leapOnDisconnect() {
  println("Leap Motion Disconnect");
}
void leapOnExit() {
  // println("Leap Motion Exit");
}